import java.util.ArrayList;
import java.util.Iterator;

/**
 * Klasse Messreihe.
 * 
 * Eine interessante Frage ist, ob eine leere Messreihe sinnvoll ist.
 * @author (claus albowski) 
 * @version (feb 06)
 */
public class Messreihe
{
    // Instanzvariable
    ArrayList<Double> daten;

    /**
     * Konstruktor fr Objekte der Klasse Messreihe.
     * Um leere Messreihen zu verhindern, muss ein Messwert bergeben werden.
     * @param  neu  der erste Messwert
     */
    public Messreihe(double neu)
    {
        daten = new ArrayList();
        neuerMesswert(neu);
    }

    /**
     * nimmt einen neuen Messwert auf.
     * @param  neu  der neue Messwert
     */
    public void neuerMesswert(double neu)
    {
        daten.add(new Double(neu));
    }
    
    /**
     * gibt die Messwerte als Array zurck.
     */
    public ArrayList<Double> gibMesswerte(){
        return daten;
    }
    
    /**
     * bestimmt den aktuellen Mittelwert der Messreihe
     * und gibt ihn zurck.
	 * @return		den Mittelwert
     */
    public double mittelwert(){
        double mittelwert=0;
        for (Iterator<Double> it=daten.iterator();it.hasNext();){
            mittelwert+=(it.next()).doubleValue();
        }
        return mittelwert/daten.size();
       }
        
    }
